ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
common_state_startup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| set_constants (&$ContextSet, $Options)
| run_controller_states (&$ContextSet, &$Options)
| run_view_states (&$ContextSet, &$Options)
| run_common_states (&$ContextSet, &$Options)

## Data Fields
| $ContextSetMarkup = false
| $PermitAlgorithms = false
| $Security = false
| $StartupUtilities = false
| $Trace = false
| $Prefix = false

## Detailed Description

Class for rapid buttons creation.

Author
  Dodonov A.A.

Definition at line 26 of file common_state_startup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 70 of file common_state_startup.php.

{
try
{
$this->ContextSetMarkup = get_package( 'gui::context_set::context_set_markup' , 'last' , __FILE__ );
$this->PermitAlgorithms = get_package( 'permit::permit_algorithms' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$PackageName = 'gui::context_set::common_state_startup::common_state_startup_utilities';
$this->StartupUtilities = get_package( $PackageName , 'last' , __FILE__ );
$this->Trace = get_package( 'trace' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

run_common_states | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function starts all states.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Returns
  true if the state was processed.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 458 of file common_state_startup.php.

{
try
{
$this->Trace->start_group( "common_configs_processing" , COMMON );
$Result = false;
$this->set_constants( $ContextSet , $Options );
if( $Options->get_setting( 'controller' , 0 ) != 0 )
{
$Result = $this->run_controller_states( $ContextSet , $Options );
}
else
{
$this->Trace->add_trace_string( "no_controllers" , COMMON );
}
if( $Options->get_setting( 'view' , 0 ) != 0 )
{
$Result = $this->run_view_states( $ContextSet , $Options );
}
else
{
$this->Trace->add_trace_string( "no_views" , COMMON );
}
$this->Trace->end_group();
return( $Result );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

run_controller_states | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function starts all standart controller states.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Returns
  true if the state was processed.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 292 of file common_state_startup.php.

{
try
{
$Next = true;
$States = array( 'delete' , 'create' , 'update' , 'copy' );
foreach( $States as $i => $State )
{
if( $this->run_it( $Options , $State ) )
{
if( $this->controller_state_startup( $ContextSet , $Options , $State ) )
{
return( true );
}
}
}
return( false );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

run_view_states | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function starts all standart view states.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Returns
  true if the state was processed.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 405 of file common_state_startup.php.

{
try
{
$Next = true;
$States = array( 'list' , 'create' , 'update' , 'copy' , 'record_view' );
foreach( $States as $i => $State )
{
if( $this->run_it( $Options , $State ) )
{
if( $this->view_state_startup( $ContextSet , $Options , $State ) )
{
return( true );
}
}
}
return( false );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_constants | ( | & | $ContextSet,
|  |  | $Options
| ) |  |

Function sets all necessary parameters.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 109 of file common_state_startup.php.

{
try
{
$this->Prefix = $ContextSet->Prefix;
$this->StartupUtilities->DefaultControllers->set_constants( $ContextSet , $Options );
$this->StartupUtilities->DefaultViews->set_constants( $ContextSet , $Options );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$ContextSetMarkup = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file common_state_startup.php.

$PermitAlgorithms = false

Definition at line 39 of file common_state_startup.php.

$Prefix = false

Prefix.

Author
  Dodonov A.A.

Definition at line 54 of file common_state_startup.php.

$Security = false

Definition at line 40 of file common_state_startup.php.

$StartupUtilities = false

Definition at line 41 of file common_state_startup.php.

$Trace = false

Definition at line 42 of file common_state_startup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/context_set/packages/common_state_startup/common_state_startup.php